<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld" 
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" useRealTimeCheck="false"/>
<og:localResource systemId="GE" initLoad="false" />
<og:comment
	system	= "GE:エンジン標準"
	pgid	= "WHTSNEW"
	title	= "標準(新着情報登録)"
	date	= "2012/01/10"
	author	= "Son.I"
	text	= ""
	version	= "001"
/>

<!-- DB検索 SQL文記述 debug="true" でSQL文を確認できます。-->
<og:query command="NEW" debug="{@debug}" maxRowCount="{@maxRowCount}" >
	<!-- DB登録時に使用する USRSET カラムを、DBTableModel に設定しておきます。-->
	<!-- <jsp:text>は不要です。-->
		SELECT		X.*
		FROM
			(
			SELECT	 SYSTEM_ID												<!-- ｼｽﾃﾑID-->
					,SYSCODE												<!-- ｼｽﾃﾑｺｰﾄﾞ-->
					,CDDEG													<!-- 属性-->
					,TITLE													<!-- ﾀｲﾄﾙ-->
					,SUBSTR(NAIYO,1,100)	GAIYO1							<!-- 概要-->
					,NAIYO					NAIYO							<!-- 内容-->
					,MAND													<!-- 掲載者-->
					,DYSTRD													<!-- 掲載開始日-->
					,DYENDD													<!-- 掲載終了日-->
					,FGJ													<!-- (非表示)状況-->
					,UNIQ													<!-- (非表示)ﾕﾆｰｸ-->
					,BUSHOD													<!-- (非表示)掲載部署-->
					,TEL													<!-- (非表示)電話番号-->
					,MAILAD													<!-- (非表示)ﾒｰﾙｱﾄﾞﾚｽ-->
					,FILE1													<!-- (非表示)ﾌｧｲﾙ1-->
					,FILE2													<!-- (非表示)ﾌｧｲﾙ2-->
					,FILE3													<!-- (非表示)ﾌｧｲﾙ3-->
					,'{@SYS.REAL_PATH}'||FILEPATH				PARENT	<!-- (非表示)ﾌｧｲﾙ保管場所-->
					,ROW_NUMBER() OVER (ORDER BY DYSTRD DESC,UNIQ DESC) AS RNUM
			FROM	GE81
		<og:where>
			<og:and value="DYSTRD &lt;= '{@USER.YMD}'"/>
			<og:and value="DYENDD &gt;= '{@USER.YMD}'"/>
			<og:and value = "SYSTEM_ID	=	'{@SYS.SYSTEM_ID}'"			/>	
			<og:and value = "SYSCODE	IN	('{@USER.SYSCODE}','*')"			/>	
			<og:and value="FGJ	IN	('0','1')"/>		
		</og:where>
			) X
		WHERE	RNUM	&lt;= 20
	<og:appear startKey = "ORDER BY" value = "{@ORDER_BY}"
				defaultVal = "RNUM" />
</og:query>
<og:columnEditor columns="NAIYO" renderer="PRE"/>
<og:columnEditor columns="GAIYO1" renderer="SLABEL" parameter="30"/>
<og:viewLink command="NEW">
	<!-- 添付ﾌｧｲﾙ1-->
	<og:link column="FILE1" href="{@SYS.JSP}/fileDownload" useGamenId="false" keys="file,name" vals="[PARENT]/[FILE1],[FILE1]"/>
	<!-- 添付ﾌｧｲﾙ2-->
	<og:link column="FILE2" href="{@SYS.JSP}/fileDownload" useGamenId="false" keys="file,name" vals="[PARENT]/[FILE2],[FILE2]"/>
	<!-- 添付ﾌｧｲﾙ3-->
	<og:link column="FILE3" href="{@SYS.JSP}/fileDownload" useGamenId="false" keys="file,name" vals="[PARENT]/[FILE3],[FILE3]"/>
	<!-- 概要(詳細)-->
	<og:link column="GAIYO1" href="meisai.jsp" keys="command,UNIQ" vals="NEW,[UNIQ]" useGamenId="false" target="_blank"/>
</og:viewLink>

<!-- ViewMarkerTag	-->
<og:viewMarker command="NEW">
	<og:columnMarker column="TITLE" markList="[CDDEG]" onMark="1">
		<span class="CDDEG1">[TITLE]</span>
	</og:columnMarker>
	<og:columnMarker column="TITLE" markList="[CDDEG]" onMark="2">
		<span class="CDDEG2">[TITLE]</span>
	</og:columnMarker>
	<og:columnMarker column="TITLE" markList="[CDDEG]" onMark="3">
		<span class="CDDEG3">[TITLE]</span>
	</og:columnMarker>
	<og:columnMarker column="DYSTRD" markList="[DYSTRD]" onMark="{@USER.YMD}">
		<span class="TODAY">[DYSTRD]</span>
	</og:columnMarker>
</og:viewMarker>

<!-- DB検索結果を表示させます。 -->
<div class="WHATSNEW">
<og:view
	viewFormType = "HTMLCustomTable" 
	command      = "NEW" 
	writable     = "false"
	useAfterHtmlTag  = "false"
	loadMarker ="true"
	rowspan="0"
	numberType	= "delete"
	noMessage	= "true"
	width		= "100%"
	useScrollBar="false">
	<og:thead rowspan="1">
		<tr><td colspan="3" class="WN-HEAD">
			{@GUI.LABEL}
			<div style="position:absolute;right:0px;top:0px;">
				<og:link href="#" onClick="location.reload();return false;" useGamenId="false">
					<og:img  src="{@SYS.JSP}/image/reload.png" alt="reload"/>
				</og:link>
				<og:link href="index.jsp" gamenId="21_WHTSNEW" target="_blank" useGamenId="false" keys="command,CHECK" vals="NEW,1">
					<og:img src="{@SYS.JSP}/image/EditFile.gif" alt="edit" />
				</og:link>
			</div>
		</td></tr>
	</og:thead>
	<og:tbody rowspan="1">
		<tr style="background-color:transparent;">
			<td>[$TITLE]</td>				<!-- ﾀｲﾄﾙ-->
			<td>[$GAIYO1]</td>				<!-- 概要-->
			<td>[$DYSTRD]</td>				<!-- 掲載開始日-->
		</tr>
	</og:tbody>
	<og:tfoot rowspan="1">
		<tr><td colspan="3" style="font-size:small">
			<og:link href="index.jsp" keys="command" vals="INIT" target="_blank" lbl="MSG0082" />
		</td></tr>
	</og:tfoot>
</og:view>
</div>
<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
